package services

import (
	solidarityservice "git.coopgo.io/sbouaram/solidarity-service/servers/grpc/proto"
	"google.golang.org/grpc"
)

type SolidarityService struct {
	solidarityservice.SolidarityServiceClient
}

func NewSolidarityService(silvermobiDial string) (*SolidarityService, error) {
	conn, err := grpc.Dial(silvermobiDial, grpc.WithInsecure())
	
	client := solidarityservice.NewSolidarityServiceClient(conn)
	if err != nil {
		return nil, err
	}

	return &SolidarityService{
		SolidarityServiceClient: client,
	}, nil
}
